Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.math3.optimization.linear
Class LinearObjectiveFunction

    java.lang.Object
      org.apache.commons.math3.optimization.linear.LinearObjectiveFunction

All Implemented Interfaces:
  Serializable

Deprecated. As of 3.1 (to be removed in 4.0).

    @Deprecated
    public class LinearObjectiveFunction

extends Object
implements Serializable

An objective function for a linear optimization problem.

A linear objective function has one the form:

     c1x1 + ... cnxn + d

The ci and d are the coefficients of the equation, the xi are the coordinates of the current point.

Since:
  2.0
Version:
  $Id: LinearObjectiveFunction.java 1422230 2012-12-15 12:11:13Z erans $
See Also:
  Serialized Form

Constructor Summary
`LinearObjectiveFunction(double[] coefficients, double constantTerm)` Deprecated.
`LinearObjectiveFunction(RealVector coefficients, double constantTerm)` Deprecated.

Method Summary
`boolean` | `equals(Object other)` Deprecated.
`RealVector` | `getCoefficients()` Deprecated. Get the coefficients of the linear equation being optimized.
`double` | `getConstantTerm()` Deprecated. Get the constant of the linear equation being optimized.
`double` | `getValue(double[] point)` Deprecated. Compute the value of the linear equation at the current point
`double` | `getValue(RealVector point)` Deprecated. Compute the value of the linear equation at the current point
`int` | `hashCode()` Deprecated.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LinearObjectiveFunction

    public LinearObjectiveFunction(double[] coefficients,
                                   double constantTerm)

  Deprecated.
  Parameters:
    `coefficients` - The coefficients for the linear equation being optimized
    `constantTerm` - The constant term of the linear equation

### LinearObjectiveFunction

    public LinearObjectiveFunction(RealVector coefficients,
                                   double constantTerm)

  Deprecated.
  Parameters:
    `coefficients` - The coefficients for the linear equation being optimized
    `constantTerm` - The constant term of the linear equation

Method Detail

### getCoefficients

    public RealVector getCoefficients()

  Deprecated.
  Get the coefficients of the linear equation being optimized.

  Returns:
    coefficients of the linear equation being optimized

### getConstantTerm

    public double getConstantTerm()

  Deprecated.
  Get the constant of the linear equation being optimized.

  Returns:
    constant of the linear equation being optimized

### getValue

    public double getValue(double[] point)

  Deprecated.
  Compute the value of the linear equation at the current point

  Parameters:
    `point` - point at which linear equation must be evaluated
  Returns:
    value of the linear equation at the current point

### getValue

    public double getValue(RealVector point)

  Deprecated.
  Compute the value of the linear equation at the current point

  Parameters:
    `point` - point at which linear equation must be evaluated
  Returns:
    value of the linear equation at the current point

### equals

    public boolean equals(Object other)

  Deprecated.
  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Deprecated.
  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2013 The Apache Software Foundation. All Rights Reserved.